Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.listeners.config.xbeanmodel
Interface JbrProviderDocument.JbrProvider

All Superinterfaces:
  BusProvider, Provider, org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource

All Known Implementing Classes:
  JbrProviderDocumentImpl.JbrProviderImpl

Enclosing interface:
  JbrProviderDocument

    public static interface JbrProviderDocument.JbrProvider

extends BusProvider

An XML jbr-provider(@http://anonsvn.labs.jboss.com/labs/jbossesb/trunk/product/etc/schemas/xml/jbossesb-1.0.1.xsd). This is a complex type.

Nested Class Summary
`static class` | `JbrProviderDocument.JbrProvider.Factory` A factory class with static methods for creating instances of this type.
`static interface` | `JbrProviderDocument.JbrProvider.Protocol` An XML protocol(@).

Field Summary
`static org.apache.xmlbeans.SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`java.lang.String` | `getHost()` Gets the "host" attribute
`JbrProviderDocument.JbrProvider.Protocol.Enum` | `getProtocol()` Gets the "protocol" attribute
`boolean` | `isSetHost()` True if has "host" attribute
`void` | `setHost(java.lang.String host)` Sets the "host" attribute
`void` | `setProtocol(JbrProviderDocument.JbrProvider.Protocol.Enum protocol)` Sets the "protocol" attribute
`void` | `unsetHost()` Unsets the "host" attribute
`org.apache.xmlbeans.XmlString` | `xgetHost()` Gets (as xml) the "host" attribute
`JbrProviderDocument.JbrProvider.Protocol` | `xgetProtocol()` Gets (as xml) the "protocol" attribute
`void` | `xsetHost(org.apache.xmlbeans.XmlString host)` Sets (as xml) the "host" attribute
`void` | `xsetProtocol(JbrProviderDocument.JbrProvider.Protocol protocol)` Sets (as xml) the "protocol" attribute

Methods inherited from interface org.jboss.soa.esb.listeners.config.xbeanmodel.BusProvider
`addNewBus, getBusArray, getBusArray, getBusList, insertNewBus, removeBus, setBusArray, setBusArray, sizeOfBusArray`

Methods inherited from interface org.jboss.soa.esb.listeners.config.xbeanmodel.Provider
`addNewProperty, getName, getPropertyArray, getPropertyArray, getPropertyList, insertNewProperty, removeProperty, setName, setPropertyArray, setPropertyArray, sizeOfPropertyArray, xgetName, xsetName`

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final org.apache.xmlbeans.SchemaType type

Method Detail

### getProtocol

    JbrProviderDocument.JbrProvider.Protocol.Enum getProtocol()

  Gets the "protocol" attribute

### xgetProtocol

    JbrProviderDocument.JbrProvider.Protocol xgetProtocol()

  Gets (as xml) the "protocol" attribute

### setProtocol

    void setProtocol(JbrProviderDocument.JbrProvider.Protocol.Enum protocol)

  Sets the "protocol" attribute

### xsetProtocol

    void xsetProtocol(JbrProviderDocument.JbrProvider.Protocol protocol)

  Sets (as xml) the "protocol" attribute

### getHost

    java.lang.String getHost()

  Gets the "host" attribute

### xgetHost

    org.apache.xmlbeans.XmlString xgetHost()

  Gets (as xml) the "host" attribute

### isSetHost

    boolean isSetHost()

  True if has "host" attribute

### setHost

    void setHost(java.lang.String host)

  Sets the "host" attribute

### xsetHost

    void xsetHost(org.apache.xmlbeans.XmlString host)

  Sets (as xml) the "host" attribute

### unsetHost

    void unsetHost()

  Unsets the "host" attribute

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD